Package org.gradle.api.credentials

## Interface HttpHeaderCredentials

- All Superinterfaces:
    `Credentials`

      public interface HttpHeaderCredentials
      extends Credentials

  Credentials that can be used to login to a protected server, e.g. a remote repository by using HTTP header. The properties used for creating credentials from a property are `repoAuthHeaderName` and `repoAuthHeaderValue`, where `repo` is the identity of the repository.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the header name to use when authenticating.
    `java.lang.String` | `getValue()` | Returns the header value to use when authenticating.
    `void` | `setName​(java.lang.String name)` | Sets the header name to use when authenticating.
    `void` | `setValue​(java.lang.String value)` | Sets the header value to use when authenticating.

- - ### Method Detail

    - #### getName

          @Nullable
          java.lang.String getName()

      Returns the header name to use when authenticating.
      Returns:
        The header name. May be null.

    - #### setName

          void setName​(@Nullable
                       java.lang.String name)

      Sets the header name to use when authenticating.
      Parameters:
        `name` - The header name. May be null.

    - #### getValue

          @Nullable
          java.lang.String getValue()

      Returns the header value to use when authenticating.
      Returns:
        The header value. May be null.

    - #### setValue

          void setValue​(@Nullable
                        java.lang.String value)

      Sets the header value to use when authenticating.
      Parameters:
        `value` - The header value. May be null.